package com.uc.base.net.metrics;

public class HttpConnectionMetricsLevel {
    /**
     * disable HTTP connection metrics.
     */
    public static final int METRICS_LEVEL_NONE           = 0x00;
    /**
     * save and return this HTTP connection metrics information.
     */
    public static final int METRICS_LEVEL_CONNECTION     = 0x01;
    /**
     * save and return all connection metrics information that are the same TAG..
     */
    public static final int METRICS_LEVEL_BUSINESS       = 0x02;
    /**
     * save and return all connection metrics information while this HTTP library is using.
     */
    public static final int METRICS_LEVEL_GLOBAL         = 0x04;
}
