package com.uc.base.net.metrics;

import android.widget.NumberPicker;

public interface IHttpConnectionMetrics extends Cloneable {
    /**
     * get special metrics
     * @param metricsLevel see more about {@link com.uc.base.net.metrics.HttpConnectionMetricsLevel}
     * @param tag user defined
     * @param metricsType type of metrics {@link com.uc.base.net.metrics.HttpConnectionMetricsType}
     * @return
     */
    public String getMetrics(int metricsLevel, String tag, HttpConnectionMetricsType metricsType);

    /**
     *
     * @param metricsLevel see more about {@link HttpConnectionMetricsLevel}
     * @param tag user defined
     */
    public void resetMetrics(int metricsLevel, String tag);

    public IHttpConnectionMetrics clone();
}
