package com.uc.base.net.unet.util;


import android.text.TextUtils;

import java.net.URI;

public class IPEndPoint {

    private static IPEndPoint sEmptyEp = new IPEndPoint();

    public String ip = "";
    public int port = 0;

    public static IPEndPoint parseFromString(String ipport) {

        if (TextUtils.isEmpty(ipport)) {
            return sEmptyEp;
        }

        IPEndPoint endPoint = new IPEndPoint();
        endPoint.port = 80;

        try {
            URI uri = new URI("http://" + ipport);
            endPoint.ip = uri.getHost();
            endPoint.port = uri.getPort();
        } catch (Exception e) {
            e.printStackTrace();
            endPoint.ip = ipport;
        }
        return endPoint;
    }
}
