package com.uc.base.net.unet.util;

import android.text.TextUtils;

import java.util.concurrent.ConcurrentHashMap;

public class ProxyMap {

    private static ConcurrentHashMap<String, String> sProxyInfoMap = new ConcurrentHashMap<String, String>();

    public static void addProxyInfo(String url, String proxy) {
        if (TextUtils.isEmpty(url) || TextUtils.isEmpty(proxy)) {
            return;
        }
        sProxyInfoMap.put(url, proxy);
    }

    public static void removeProxyInfo(String url) {
        if (TextUtils.isEmpty(url)) {
            return;
        }
        sProxyInfoMap.remove(url);
    }

    public static String getProxyInfo(String url) {
        if (TextUtils.isEmpty(url)) {
            return "";
        }
        return sProxyInfoMap.get(url);
    }
}
