package com.uc.base.net.util;

public class AppNetworkDelegate {

    private static NetworkCheckDelegate sNetworkCheckDelegate;

    public static void setNetworkCheckDelegate(NetworkCheckDelegate delegate) {
        sNetworkCheckDelegate = delegate;
    }

    public static boolean isNetworkConnected() {
        if (sNetworkCheckDelegate == null) {
            return false;
        }
        return sNetworkCheckDelegate.isNetworkConnected();
    }

}
