package com.uc.base.net;

import android.os.Looper;

/**
 * 构建网络库Client代理接口
 */
public interface INetClientDelegate {

    IHttpClientSync createSyncClient();
    IHttpClientAsync createAsyncClient(IHttpEventListener listener, Looper looper);
    IHttpClientAsync createAsyncClient(IHttpEventListener listener);

}
