package com.uc.base.net.adaptor;

public class HttpErrorCode {
    /** Success */
    public static final int OK = 0;
    /** Generic error */
    public static final int ERROR = -1;
    /** Server or proxy hostname lookup failed */
    public static final int ERROR_LOOKUP = -2;
    /** Unsupported authentication scheme (ie, not basic or digest) */
    public static final int ERROR_UNSUPPORTED_AUTH_SCHEME = -3;
    /** User authentication failed on server */
    public static final int ERROR_AUTH = -4;
    /** User authentication failed on proxy */
    public static final int ERROR_PROXYAUTH = -5;
    /** Could not connect to server */
    public static final int ERROR_CONNECT = -6;
    /** Failed to write to or read from server */
    public static final int ERROR_IO = -7;
    /** socket or connection timed out */
    public static final int ERROR_TIMEOUT = -8;
    /** Too many redirects */
    public static final int ERROR_REDIRECT_MAX = -9;
    /** redirects-loop */
    public static final int ERROR_REDIRECT_LOOP = -10;
    /** Redirect location is null **/
    public static final int ERROR_REDIRECT_LOCATION = -11;
    /** Unsupported URI scheme (ie, not http, https, etc) */
    public static final int ERROR_UNSUPPORTED_SCHEME = -12;
    /** Failed to perform SSL handshake */
    public static final int ERROR_FAILED_SSL_HANDSHAKE = -13;
    /** Bad URL */
    public static final int ERROR_BAD_URL = -14;
    /** Generic file error for file:/// loads */
    public static final int ERROR_FILE = -15;
    /** File not found error for file:/// loads */
    public static final int ERROR_FILE_NOT_FOUND = -16;
    /** Too many requests queued */
    public static final int ERROR_TOO_MANY_REQUESTS = -17;
    /** Error when open an connection */
    public static final int ERROR_OPEN_CONNECTION = -18;
    /** Error when create a ssl socket */
    public static final int ERROR_OPEN_SSL_SOCKET = -19;
    /** Illegal argument error */
    public static final int ERROR_ILLEGAL_ARGUMENT = -20;
    /** EOFExpection*/
    public static final int ERROR_EOF = -21;
    /** Security Expection*/
    public static final int ERROR_SECURITY = -22;

    public static final int ERROR_GZ2_PARSE = -23;

    public static final int ERROR_ZSTD_PARSE = -24;

    public static final int ERROR_CONNECT_ILLEGAL_ARGS = -100;
    public static final int ERROR_CONNECT_NO_NETWORK = -101;
    public static final int ERROR_CONNECT_RESET = -102;
    public static final int ERROR_CONNECT_CLOSED = -103;
    public static final int ERROR_CONNECT_REFUSED = -104;
    public static final int ERROR_CONNECT_ADDRRESS_UNREACHABLE = -105;
    public static final int ERROR_CONNECT_UNKNOWN = -106;
    public static final int ERROR_READ_TIMEOUT = -107;
    public static final int ERROR_CONNECT_TIMEOUT = -108;
}
