package com.uc.base.net.metrics;

public class HttpConnectionMetricsConfig {

    private static int METRICS_LEVEL = HttpConnectionMetricsLevel.METRICS_LEVEL_CONNECTION | HttpConnectionMetricsLevel.METRICS_LEVEL_BUSINESS;

    public static void enableMetricsLevel(int metricsLevel) {
        METRICS_LEVEL |= metricsLevel;
    }

    public static void disableMetricsLevel(int metricsLevel) {
        METRICS_LEVEL &= ~metricsLevel;
    }

    public static void setMetricsLevel(int metricsLevel) {
        METRICS_LEVEL = metricsLevel;
    }

    public static int getMetricsLevel() {
        return METRICS_LEVEL;
    }

}
